aboutsummaryrefslogtreecommitdiffstats
path: root/main/v4l-utils/APKBUILD
diff options
context:
space:
mode:
authorTimo Teräs <timo.teras@iki.fi>2013-10-07 13:06:37 +0000
committerTimo Teräs <timo.teras@iki.fi>2013-10-07 13:07:16 +0000
commit06757d02c022295864e516fd2ba2ae2de4a1d0cd (patch)
tree207bc07b159bfc5406806d656bcb9b13b9c33442 /main/v4l-utils/APKBUILD
parent26a7a165a792aa8548039d19339dd4a1b639f175 (diff)
downloadaports-06757d02c022295864e516fd2ba2ae2de4a1d0cd.tar.gz
aports-06757d02c022295864e516fd2ba2ae2de4a1d0cd.tar.bz2
aports-06757d02c022295864e516fd2ba2ae2de4a1d0cd.tar.xz
main/v4l-utils: upgrade to 1.0.0 and fix musl build
Diffstat (limited to 'main/v4l-utils/APKBUILD')
-rw-r--r--main/v4l-utils/APKBUILD35
1 files changed, 19 insertions, 16 deletions
diff --git a/main/v4l-utils/APKBUILD b/main/v4l-utils/APKBUILD
index b8fb807c50..9afa43afff 100644
--- a/main/v4l-utils/APKBUILD
+++ b/main/v4l-utils/APKBUILD
@@ -1,7 +1,7 @@
# Contributor: Leonardo Arena <rnalrd@alpinelinux.org>
# Maintainer: Francesco Colista <francesco.colista@gmail.com>
pkgname=v4l-utils
-pkgver=0.9.5
+pkgver=1.0.0
pkgrel=0
pkgdesc="Userspace tools and conversion library for Video 4 Linux"
url="http://freshmeat.net/projects/libv4l"
@@ -12,27 +12,26 @@ makedepends="qt-dev libjpeg-turbo-dev argp-standalone"
install=""
subpackages="$pkgname-dev qv4l2 $pkgname-dvbv5"
source="http://linuxtv.org/downloads/v4l-utils/$pkgname-$pkgver.tar.bz2
+ fix-compliance.patch
qv4l2.svg
qv4l2.desktop
"
_builddir="$srcdir"/$pkgname-$pkgver
prepare() {
- cd "$_builddir"
- local i
- cd "$_builddir"
- for i in $source; do
- case $i in
- *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
- esac
- done
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
}
build() {
- cd "$_builddir"
- if [ "$ALPINE_LIBC" != "eglibc" ]; then
- export LDFLAGS="$LDFLAGS -largp -liconv"
- fi
+ cd "$_builddir"
+ [ "$CLIBC" = "musl" ] && export CFLAGS="$CFLAGS -D__off_t=off_t"
+ [ "$CLIBC" != "eglibc" ] && export LDFLAGS="$LDFLAGS -largp -liconv"
./configure \
--build=$CBUILD \
--host=$CHOST \
@@ -42,6 +41,7 @@ build() {
--infodir=/usr/share/info \
--localstatedir=/var \
--disable-static \
+ --enable-libdvbv5 \
|| return 1
make || return 1
}
@@ -75,12 +75,15 @@ dvbv5() {
"$subpkgdir"/usr/lib/ || return 1
}
-md5sums="6947bea808b19207d89ec31afc3a9a89 v4l-utils-0.9.5.tar.bz2
+md5sums="2127f2d06be9162b0d346f7037a9e852 v4l-utils-1.0.0.tar.bz2
+03ff8a10297477ca274a051ef6e622e0 fix-compliance.patch
75ef594ddfe48e48df99c96c2af6b51e qv4l2.svg
b2e51f9663cee1c38a1d99d76a6b529f qv4l2.desktop"
-sha256sums="6c9f1be981d5763069e0969ebe426c39da5a7d738865367e390e3b486f1b502c v4l-utils-0.9.5.tar.bz2
+sha256sums="1de3882099e04e89e354675ee408b82c8ac8afd3ca6ab27ea321771901285f30 v4l-utils-1.0.0.tar.bz2
+2baccef9aecc1d1ae658d27a48662e0748c663cfc95985faf68bee219def843e fix-compliance.patch
b1dad7c1649881be8e66f4d9d0f32206796dd0a10dd936c342426ec64cf9c77c qv4l2.svg
1c5739631e37a7338409ea8b5c797a6888fd9a595e72d9dc96dd634df26373f3 qv4l2.desktop"
-sha512sums="219a789907279ce4532d53989f1efe5cac7bbf0971a215c4e6e42228510c88f52ed2d7a4ce80d2f6673af9c0e5acd99160b6b3e6475f7a7a80534ce867a52a63 v4l-utils-0.9.5.tar.bz2
+sha512sums="19e31167015623f50f93dc27becb8f053ca7488ffc41e275c195cb46af63671a0cec6cecea71d90a43b3b01b47f6e6cc2f44517dddd3c2c376bb1d82f770117e v4l-utils-1.0.0.tar.bz2
+1f0e8ad5cde8d66cabad4b670b0911650756ea293711438e37fd7161603fa047d4858fc9e7e7cbf794775da7eddbfcd21c4cb896e9b8f2df64c403dedddb3cd1 fix-compliance.patch
bc18280046c15b19984103f7c2bb44a0aea79715803c64f0c64bc932499c09022c956914c3b15ae59499adc09f6fbff5378be45707fe851250f495a26b63d682 qv4l2.svg
6f74aa524b3de420eeb8de788ff3f717020732a3f1f6530caee50e63aae7eddbe5f551ffc50065c9f5d6078c13bace089948ecdcacf01f8b82c1a44960e06315 qv4l2.desktop"